void guidePoints(int red, int green, int blue, boolean text, boolean points) {
  noFill();
  stroke(red, green, blue);
  strokeWeight(1);
  counter = 0;

  points = true;
  text = true;

  PFont mono;
  // The font "CourierNewPSMT-18" must be located in the
  // current sketch's "data" directory to load successfully
  mono = createFont("Courier New", 18);
  textFont(mono);



  // Inner circle
  for (int n = 0; n < 12; n++) {
    if (InnerCircleDots) {
      ellipse(xInnerCircle[n], yInnerCircle[n], 10, 10);
    }
    fill(255, 0, 0); // red text
    if (InnerCircleText) {
      text(n, xInnerCircle[n] + xOffset, yInnerCircle[n] + yOffset);
    }
  }

  // Inner most circle
  for (int n = 0; n < 12; n++) {
    noStroke();
    fill(0, 0, 0);
    if (InnerMostCircleDots) {  // cho
      ellipse(xInnerMostCircle[n], yInnerMostCircle[n], 10, 10);
    }
    if (InnerMostCircleText) {
      text(n, xInnerMostCircle[n] + xOffset, yInnerMostCircle[n] + yOffset);
    }
    noFill();
  }

  // Squares to outer most circle
  for (int n = 1; n < 49; n++) {
    stroke(0);
    noFill();
    if (false) {  // points
      ellipse(xSquaresToOuterCircle[n], ySquaresToOuterCircle[n], 10, 10);
    }
    if (false) {
      text(n, xSquaresToOuterCircle[n] + xOffset, ySquaresToOuterCircle[n] + yOffset);
    }
    noFill();
  }

  //  Lines to outer most circle
  for (int n = 0; n < 24; n++) {
    stroke(255, 0, 0);  // red
    noFill();
    if (false) {
      ellipse(xLinesToOuterCircle[n], yLinesToOuterCircle[n], 10, 10);
    }
    if (false) {
      fill(0, 0, 255); // blue
      text(n, xLinesToOuterCircle[n] + xOffset, yLinesToOuterCircle[n] + yOffset);
    }
    noFill();
  }
  
  
   // Parallel Line Pairs to outer most circle
  for (int n = 49; n < 72; n++) {
    stroke(255, 0, 0);  // red
    noFill();
    if (points) {
      ellipse(xLinesToOuterCircle[n], yLinesToOuterCircle[n], 10, 10);
    }
    if (text) {
      fill(0, 0, 255); // blue
      text(n, xLinesToOuterCircle[n] + xOffset, yLinesToOuterCircle[n] + yOffset);
    }
    noFill();
  }
  
}
